
%define is_release 2 

# Extra bits
%define _with_gnokii --with-gnokii
%define _with_mal --with-mal 

Summary: PIM (Personal Information Manager) for KDE
Name:	 kdepim
Group:	 Applications/Productivity
Epoch:	 6
Version: 3.5.6
Release: 5%{?dist}%{?kde}

License: GPL
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
Url:	 http://pim.kde.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source1: korganizerrc
Source2: cr48-app-kandy.png
Source3: cr32-app-kandy.png
Source4: cr16-app-kandy.png

#Patch1: kde-libtool.patch
Patch2: kdepim-3.4.0-s390.patch
Patch3: kdepim-3.4.0-kandy-icons.patch
Patch4: kdepim-3.4.92-libz.patch
Patch5: kdepim-3.5.3-gcc-4.1.1-8.patch

Patch1000: kdepim-3.5.6-malconduit.patch

# upstream patches
Patch140207: kdepim-3.5.6-kde#140207.patch

# some kontact bits moved from kdeaddons
Conflicts: kdeaddons < 0:3.3.0

BuildRequires: kdelibs-devel >= 6:%{version}
Requires: kdelibs >= 6:%{version}
%if "%{is_release}" != "1"
BuildRequires: automake libtool
%endif
# kmix (?) -- Rex 
BuildRequires: kdemultimedia
# kttsd 
BuildRequires: kdeaccessibility
BuildRequires: zlib-devel
BuildRequires: openssl-devel
BuildRequires: cyrus-sasl-devel >= 2.1
BuildRequires: lockdev-devel
BuildRequires: bison flex
BuildRequires: bluez-libs-devel
BuildRequires: python-devel python
%{?_with_gnokii:BuildRequires: gnokii-devel}
## Crypto Stuff from http://kmail.kde.org/kmail-pgpmime-howto.html
BuildRequires: gpgme-devel
%if 0%{?fedora} > 4  || 0%{?rhel} > 4
BuildRequires: libXpm-devel libXScrnSaver-devel
%endif

##Optional bits
Requires(hint): pinentry-gui

%ifnarch s390 s390x
%if 0%{?fedora} > 6
%define _with_pilot_link --with-pilot-link
BuildRequires: pilot-link-devel >= 0.12
# AvantGo support via libmal
%{?_with_mal:BuildRequires: libmal-devel}
%endif
%endif

# knode/kmail moved in from kdenetwork
# Conflicts: kdenetwork < 7:3.2.0

Obsoletes: akregator < 0:1.0 
Provides:  akregator = 0:1.0

%description
The KDE-PIM project aims to bring together those who wish to help design,
implement, test, etc. anything that's to do with personal information
management.

This rather broad scope encompasses mail clients, addressbooks, usenet news,
scheduling and even sticky notes.

%package devel
Summary: Development files for %{name} 
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: kdelibs-devel 
%description devel
Development files for %{name}.
Install %{name}-devel if you want to write or compile %{name} plugins.

%package gnokii 
Summary: Support gnokii in %{name} 
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}
%description gnokii 
%{summary}.


%prep

%if "%{?is_release}" != "0"
%setup -q -n %{name}-%{version}%{?beta}
%else
%setup -q -n %{name}
%endif

%ifarch s390 s390x
%patch2 -p1 -b .s390
rm -rf kpilot
%endif

#patch1 -p1 -b .libtool
%patch3 -p1 -b .kandy-icons
%patch4 -p1 -b .libz
%if 0%{?fedora} > 5 || 0%{?rhel} > 4
%patch5 -p1 -b .gcc-4.1.1-8
%endif
%patch1000 -p1 -b .malconduit

## upstream patches
# not sure if we really want/need this -- Rex
#patch140207 -p1 -b .kde#140207

%if "%{is_release}" != "1"
  make -f admin/Makefile.common cvs
%endif

install -p -m644 %{SOURCE2} %{SOURCE3} %{SOURCE4} kandy/src/


%build
unset QTDIR || : ; source /etc/profile.d/qt.sh

DO_NOT_COMPILE=""
%if "%{?kpilot}" == "0"
export DO_NOT_COMPILE="$DO_NOT_COMPILE kpilot"
%endif

## WARNING: --enable-final takes a *lot* memory, 
## and will likely swap-to-death machines with < 1GB RAM -- Rex
%configure \
  --includedir=%{_includedir}/kde \
  --disable-rpath \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final \
  --with-gpg=%{_bindir}/gpg \
  --with-gpgsm=%{_bindir}/gpgsm \
  --with-sasl \
  %{?_with_gnokii} %{!?_with_gnokii:--without-gnokii} \
  %{?_with_mal} %{!?_with_mal:--without-mal} \
  %{?_with_pilot_link} %{!?_with_pilot_link:--without-pilot-link}

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

install -p -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/config/

## remove references to extraneous/optional libraries in .la files (#170602)
find $RPM_BUILD_ROOT%{_libdir} -name "*.la" | xargs \
 sed -i \
 -e "s@-lpng@@g" \
 -e "s@%{_libdir}/libqgpgme.la@@g" \
 -e "s@%{_libdir}/libgpgme++.la@@g" \
 -e "s@-lgpgme@@g" \
 -e "s@-lgpg-error@@g"

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && ln -nsf ../common $i/common
      done
    popd
  fi
done  
fi  

mv %{name}.lang %{name}.list

# kdelibs is patched, this is safe. -- Rex
rm -f $RPM_BUILD_ROOT%{_libdir}/kde3/*.la

# Handle .la, .so files (v0.7)
[ ! -f %{name}.list ] && echo "%defattr(-,root,root,-)" > %{name}.list
[ ! -f devel.list ]  && echo "%defattr(-,root,root,-)" > devel.list
for solib in ${RPM_BUILD_ROOT}%{_libdir}/*.so* ; do
  soname=$(basename ${solib})
  base=$(basename ${soname} .so)
  if [ -L ${solib} ]; then
    if [ "${soname}" == "${base}.so" ]; then
      echo "%{_libdir}/${soname}" >> devel.list
      if [ -f ${RPM_BUILD_ROOT}%{_libdir}/${base}.la ]; then
        echo "%{_libdir}/${base}.la" >> devel.list
      fi
    else
      echo "%{_libdir}/${soname}" >> %{name}.list
    fi
  else
    if [ -f ${RPM_BUILD_ROOT}%{_libdir}/${base}.la ]; then
      ## Should be safe since we patched kdelibs(?) -- Rex
      #echo "%exclude %{_libdir}/${base}.la" >> %{name}.list
      echo "%{_libdir}/${base}.la" >> %{name}.list
    fi
    echo "%{_libdir}/${soname}" >> %{name}.list
  fi
done


%post
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme crystalsvg 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme locolor 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme crystalsvg 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme locolor 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :


%files -f %{name}.list
%defattr(-,root,root,-)
%doc README
%{_bindir}/*
%{_libdir}/kconf_update_bin/*
%{_libdir}/kde3/*
%{_datadir}/apps/*
%{_datadir}/autostart/*
%{_datadir}/icons/crystalsvg/*/*/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/locolor/*/*/*
%{_datadir}/service*/*
%{_datadir}/appl*/*/*.desktop
%{_datadir}/applnk/.hidden/*
%config %{_datadir}/config*/*
%{_datadir}/mimelnk/*/*
%if "%{?_with_gnokii:1}" == "1"
%exclude %{_libdir}/kde3/libkaddrbk_gnokii_xxport.*
%exclude %{_datadir}/apps/kaddressbook/gnokii_xxportui.rc
%exclude %{_datadir}/services/kaddressbook/gnokii_xxport.desktop

%files gnokii
%defattr(-,root,root,-)
%{_libdir}/kde3/libkaddrbk_gnokii_xxport.*
%{_datadir}/apps/kaddressbook/gnokii_xxportui.rc
%{_datadir}/services/kaddressbook/gnokii_xxport.desktop
%endif

%files devel -f devel.list
%defattr(-,root,root,-)
%{_includedir}/kde/*

## malconduit bits
#/usr/lib/kde3/conduit_mal.*
#/usr/share/config.kcfg/malconduit.kcfg
#/usr/share/doc/HTML/en/kpilot/conduit-mal.png
#/usr/share/services/mal_conduit.desktop


%clean 
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Jan 29 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.5.6-5
- --with-pilot => BuildRequires: pilot-link >= 0.12.0

* Wed Jan 24 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.5.6-4
- (re)enable malconduit

* Thu Jan 18 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.5.6-3
- patch for gcc-3.3.x(6) (kde#140207)
- .la file cleanups

* Wed Jan 17 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.5.6-2
- kdepim-3.5.6.tar.bz2 respin

* Tue Jan 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.5.6-1
- kde-3.5.6

* Fri Nov 03 2006 Rex Dieter 6:3.5.5-0.3
- gnokii subpkg
- TODO: kpilot(-malconduit) subpkgs
- use xdg-utils in scriptlets

* Tue Oct 17 2006 Rex Dieter 6:3.5.5-0.2
- korganizer patch (kde bugs #135513, #135534, #134065)

* Thu Oct 05 2006 Rex Dieter 6:3.5.5-0.1
- 3.5.5

* Thu Sep 14 2006 Than Ngo <than@redhat.com> 6:3.5.4-5
- apply upstream patches
   fix 98545, kmail does not remember pop3 passwords
   add default values for font sizes
   fix #133792, do not double-count days during weekly-summarized report
   remove a duplicated holiday
   fix #134200, always initialize mLineHeight and mFirstColumnWidth
   fix #126975, Refuse to LOGIN when hasCapability("LOGINDISABLED")
   fix #134702, Kontact crashes when moving mail between imap folders
   fix #126060, Kmail crash when IMAP mailbox modified externally

* Tue Sep 12 2006 Than Ngo <than@redhat.com> 6:3.5.4-4
- apply upstream patches
   fix #133846, fix for the tooltip crash

* Mon Sep 04 2006 Than Ngo <than@redhat.com> 6:3.5.4-3
- apply upstream patches
   fix kde#116607, crash in slotCheckQueuedFolders() on application exit

* Tue Aug 15 2006 Than Ngo <than@redhat.com> 6:3.5.4-2
- apply patch to fix crash when right clicking in an encapsulated email message, kde#131067

* Mon Aug 07 2006 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.5.4-1.1
- drop --enable-indexlib, too troublesome, so says kmail-devel

* Tue Jul 25 2006 Rex Dieter <rexdieter[AT]users.sf.net> 6:3.5.4-1.0
- kde-3.5.4

* Fri Jun 02 2006 Rex Dieter 6:3.5.3-1.1
- gnupg decoding patch (kde bug #128513)

* Wed May 24 2006 Rex Dieter 6:3.5.3-1.0
- kde-3.5.3

* Thu May 04 2006 Rex Dieter 6:3.5.2-2.0
- imap_dos patch from Dirk Mueller

* Wed May 03 2006 Than Ngo <than@redhat.com> 6:3.5.2-2
- fix #190491, korganizer crashes whenever New Event selected
- fix crash from proko2
- possibly fix crash while selecting mail in mail header view
- fix #122571, kmail doesn't remember "fallback character encoding" setting
- fix #126571, kmail crashes when pressing "Send again..." in drafts folder
- fix syntax error in /usr/bin/kmail_clamav.sh

* Thu Apr 13 2006 Rex Dieter 6:3.5.2-1.1
- fc4+ respin for pilot-link

* Mon Mar 20 2006 Rex Dieter 6:3.5.2-1.0
- 3.5.2
- BR: boost-devel
- --enable-indexlib

* Sat Jan 21 2006 Rex Dieter 6:3.5.1-1.0
- kde-3.5.1

* Tue Jan 10 2006 Rex Dieter 6:3.5.0-1.6
- .la file cleanup: -lpng, gpgme

* Wed Dec 21 2005 Rex Dieter 6:3.5.0-1.5
- drop Req: pinentry (it's only optional, not mandatory) 

* Sat Dec 10 2005 Rex Dieter 6:3.5.0-1.4
- actually apply koprefs patch
- kmail patch (kde bug #113730)

* Tue Dec 06 2005 Rex Dieter 6:3.5.0-1.3
- koprefs patch
  http://lists.kde.org/?l=kde-pim&m=113390216506245&w=2
- --enable-new-ldflags
- --disable-gcc-hidden-visibility

* Thu Dec 01 2005 Rex Dieter 6:3.5.0-1.2
- remove gpg-agent-(start|shutdown), moved to gnupg2

* Sat Nov 26 2005 Rex Dieter 6:3.5.0-1.1
- respin

* Mon Nov 21 2005 Rex Dieter 6:3.5.0-1.0
- kde-3.5.0

* Sat Nov 12 2005 Rex Dieter 6:3.5.0-0.1.rc1.kde
- kde-3.5.0-rc1

* Fri Sep 09 2005 Rex Dieter 6:3.4.2-1.3.kde
- fc4: rebuild against pilot-link-0.12pre4

* Thu Aug 04 2005 Rex Dieter 6:3.4.2-1.2.kde
- respin

* Tue Aug 02 2005 Rex Dieter 6:3.4.2-1.1.kde
- kmail patch (kde bug #109003)

* Thu Jul 21 2005 Rex Dieter 6:3.4.2-1.0.kde
- kde-3.4.2

* Wed Jun 29 2005 Rex Dieter 6:3.4.1-1.3.kde
- fix kmail shift+click crash (kde bug #106735)

* Mon Jun 20 2005 Rex Dieter 6:3.4.1-1.2.kde
- disable -fvisibility, for now (kde bug #101542)

* Fri May 27 2005 Rex Dieter 6:3.4.1-1.1
- (last minute) Kpilot fixes
- FYI: kpilot disabled on fc4/pilot-link-0.12.0pre2 (kde bug #107394)

* Tue May 24 2005 Rex Dieter 6:3.4.1-1.0
- 3.4.1

* Fri Apr 08 2005 Rex Dieter 6:3.4.0-4.0
- sync w/rawhide
- BR: cyrus-sasl-devel >= 2.1

* Wed Mar 23 2005 Than Ngo <than@redhat.com> 6:3.4.0-4
- add lockdev support patch in kandy from Peter Rockai #84143
- add missing kandy icons #141165

* Sat Mar 23 2005 Rex Dieter 6:3.4.0-2.1.kde
- gpg-agent-shutdown.sh: unconditionally remove .gpg-agent-info

* Tue Mar 22 2005 Rex Dieter 6:3.4.0-2.0.kde
- update gpg-agent startup/shutdown scripts
- %%post/%%postun workarounds for recent /sbin/ldconfig (fc3/el4)

* Tue Mar 15 2005 Rex Dieter 6:3.4.0-1.1.kde
- kolab patch

* Fri Mar 05 2005 Rex Dieter 6:3.4.0-1.0.kde
- 3.4.0(final)

* Thu Feb 24 2005 Rex Dieter 6:3.4.0-0.0.rc1
- 3.4.0-rc1

* Tue Feb 15 2005 Rex Dieter 6:3.3.92-0.3.kde
- 3.3.92

* Mon Dec 13 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0:3.3.2-1.2.kde
- patch for kmail "delete last message/empty folder" crasher (kde bug #141457)

* Thu Dec 09 2004 Rex Dieter <rexdieter[AT[users.sf.net> 0:3.3.2-1.1.kde
- use 'gpg-agent -s' (as suggested by Thomas Moschny)

* Mon Nov 29 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0:3.3.2-1.0.kde
- 3.3.2

* Thu Nov 11 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0:3.3.1-1.1.kde
- fc3

* Mon Oct 25 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0:3.3.1-0.5.kde
- Requires: /usr/bin/pinentry-qt

* Fri Oct 22 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0:3.3.1-0.4.kde
- relax startup checks in gpg-agent-startup.sh
- BR: gpgme-devel >= 1.0.0

* Wed Oct 20 2004 Rex Dieter <rexdieter at sf.net> 0:3.3.1-0.3.kde
- make crypto "just work" (kde bug #79181), see also:
  http://kmail.kde.org/kmail-pgpmime-howto.html

* Wed Oct 13 2004 Rex Dieter <rexdieter at sf.net> 0:3.3.1-0.2.kde
- holiday patch from kde.org's Red Hat/fc2 srpm.

* Tue Oct 12 2004 Rex Dieter <rexdieter at sf.net> 0:3.3.1-0.1.kde
- kaddressbook patch (kde bug #91096)

* Sun Sep 5 2004 Rex Dieter <rexdieter at sf.net> 0:3.3.0-1.1.kde
- Conflicts: kdeaddons < 3.3.0 (some kontact bits got moved from there)

* Mon Aug 16 2004 Rex Dieter <rexdieter at sf.net> 0:3.3.0-1.0.kde
- 3.3.0


